Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.anakia
Class AnakiaJDOMFactory

    java.lang.Object
      |
      +--org.jdom.input.DefaultJDOMFactory
            |
            +--org.apache.velocity.anakia.AnakiaJDOMFactory

All Implemented Interfaces:
  org.jdom.input.JDOMFactory

public class AnakiaJDOMFactory
extends org.jdom.input.DefaultJDOMFactory

A customized JDOMFactory for Anakia that produces `AnakiaElement` instances instead of ordinary JDOM `Element` instances.

Version:
  $Id: AnakiaJDOMFactory.java,v 1.2 2001/10/10 13:43:30 geirm Exp $
Author:
  Attila Szegedi

Fields inherited from class org.jdom.input.DefaultJDOMFactory
`CVS_ID`

Constructor Summary
`AnakiaJDOMFactory()`

Method Summary
`org.jdom.Element` | `element(java.lang.String name)`
`org.jdom.Element` | `element(java.lang.String name, org.jdom.Namespace namespace)`
`org.jdom.Element` | `element(java.lang.String name, java.lang.String uri)`
`org.jdom.Element` | `element(java.lang.String name, java.lang.String prefix, java.lang.String uri)`

Methods inherited from class org.jdom.input.DefaultJDOMFactory
`attribute, attribute, cdata, comment, docType, docType, docType, document, document, entityRef, entityRef, processingInstruction, processingInstruction`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Constructor Detail

### AnakiaJDOMFactory

    public AnakiaJDOMFactory()

Method Detail

### element

    public org.jdom.Element element(java.lang.String name,
                                    org.jdom.Namespace namespace)

  Overrides:
    `element` in class `org.jdom.input.DefaultJDOMFactory`

### element

    public org.jdom.Element element(java.lang.String name)

  Overrides:
    `element` in class `org.jdom.input.DefaultJDOMFactory`

### element

    public org.jdom.Element element(java.lang.String name,
                                    java.lang.String uri)

  Overrides:
    `element` in class `org.jdom.input.DefaultJDOMFactory`

### element

    public org.jdom.Element element(java.lang.String name,
                                    java.lang.String prefix,
                                    java.lang.String uri)

  Overrides:
    `element` in class `org.jdom.input.DefaultJDOMFactory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Software Foundation. All Rights Reserved.